# GestionFenetre
declaration: package: lecteur_pdf, class: GestionFenetre

Package lecteur_pdf

# Class GestionFenetre

java.lang.Object
lecteur_pdf.GestionFenetre

public class GestionFenetre extends Object
Gestionnaire des `fenêtres` ouvertes dans l'application

Author:
  Léo Franch, Tristan Nogaret, Lucàs Vabre, Noé Villeneuve

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<Fenetre>`
`FENETRE_LIST`
Liste des `fenêtres` ouvertes
`static final Image`
`ICONE`
Icône de l'application (affiché en haut à droite des `fenêtres`)
`static final int`
`NB_MAX_PDF`
Nombre maximum de PDF que l'application peut ouvrir en simultané

## Constructor Summary

Constructors
Constructor
Description
`GestionFenetre()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Lance l'application
`static void`
`nouvelleFenetre()`
Crée une nouvelle fenêtre si NB_MAX_PDF n'est pas atteint
`static void`
`pagesPrecedentes()`
Méthode qui affiche la page précédente de tous les PDF ouverts (`mode Synchronisé`)
`static void`
`pagesSuivantes()`
Méthode qui affiche la page suivante de tous les PDF ouverts (`mode Synchronisé`)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ICONE

public static final Image ICONE
Icône de l'application (affiché en haut à droite des `fenêtres`)

See Also:
  - `Image`

### NB_MAX_PDF

public static final int NB_MAX_PDF
Nombre maximum de PDF que l'application peut ouvrir en simultané

See Also:
  - Constant Field Values

### FENETRE_LIST

public static final List<Fenetre> FENETRE_LIST
Liste des `fenêtres` ouvertes

See Also:
  - `List`

## Constructor Details

### GestionFenetre

public GestionFenetre()

## Method Details

### nouvelleFenetre

public static void nouvelleFenetre()
Crée une nouvelle fenêtre si NB_MAX_PDF n'est pas atteint

### pagesSuivantes

public static void pagesSuivantes()
Méthode qui affiche la page suivante de tous les PDF ouverts (`mode Synchronisé`)

### pagesPrecedentes

public static void pagesPrecedentes()
Méthode qui affiche la page précédente de tous les PDF ouverts (`mode Synchronisé`)

### main

public static void main(String[] args)
Lance l'application

Parameters:
  `args` - non utilisé